Page MenuHomePhabricator

[Analyzer] Iterator Checker - Part 8: Support for assign, clear, insert, emplace and erase operations
ClosedPublic

Authored by baloghadamsoftware on May 5 2017, 5:50 AM.

Details

Summary

This patch adds support for the following operations in the iterator checkers: assign, clear, insert, insert_after, emplace, emplace_after, erase and erase_after. This affects mismatched iterator checks ("this" and parameter must match) and invalidation checks (according to the standard).

Diff Detail

Repository
rL LLVM

Event Timeline

NoQ accepted this revision.Dec 14 2017, 4:03 PM

This looks clear to me.

This revision is now accepted and ready to land.Dec 14 2017, 4:03 PM
baloghadamsoftware edited reviewers, added: dcoughlin; removed: zaks.anna.May 3 2018, 4:13 AM
This revision was automatically updated to reflect the committed changes.